%bcond_with docs

Name:           gstreamer1.0-omx
Version:        1.22.9
Release:        %mkrel 2
Summary:        GStreamer OpenMAX IL wrapper plugin
Group:          System/Libraries
License:        LGPLv2+
URL:            https://gstreamer.freedesktop.org/modules/gst-omx.html
Source0:        https://gstreamer.freedesktop.org/src/gst-omx/gst-omx-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires:	pkgconfig(glesv2)
#BuildRequires:	pkgconfig(libomxil-bellagio)
%ifarch %{valgrind_arches} %{arm32}
BuildRequires:	pkgconfig(valgrind)
%endif
Requires:	gstreamer1.0-plugins-base

%description
This plugin wraps available OpenMAX IL components and makes
them available as standard GStreamer elements.

%prep
%setup -qn gst-omx-%{version}
%autopatch -p1

%build
%meson \
	-Dtarget='generic' \
%if 0
	-Dpackage-name='%{_vendor} %{name} package' \
	-Dpackage-origin='https://www.%{_real_vendor}.org' \
%endif
	-Ddoc=%{?with_docs:enabled}%{?!with_docs:disabled}
%meson_build

%install
%meson_install

%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/gstreamer-1.0/libgstomx.so


%changelog
* Sun Feb 04 2024 wally <wally> 1.22.9-2.mga10
+ Revision: 2037165
- rebuild for arm32

* Mon Jan 29 2024 wally <wally> 1.22.9-1.mga10
+ Revision: 2036134
- new version 1.22.9

* Wed Dec 20 2023 ghibo <ghibo> 1.22.8-1.mga10
+ Revision: 2020045
- Update to release 1.22.8

* Mon Oct 09 2023 wally <wally> 1.22.6-1.mga10
+ Revision: 1993810
- new version 1.22.6

* Tue Aug 29 2023 ghibo <ghibo> 1.22.5-1.mga10
+ Revision: 1980855
- Update to release 1.22.5

* Sat Jul 08 2023 ghibo <ghibo> 1.22.4-1.mga9
+ Revision: 1963697
- Update to release 1.22.4

* Sun May 21 2023 ghibo <ghibo> 1.22.3-1.mga9
+ Revision: 1957542
- Update to release 1.22.3

* Tue Jan 24 2023 wally <wally> 1.22.0-1.mga9
+ Revision: 1935707
- new version 1.22.0

* Sat Jan 14 2023 wally <wally> 1.21.90-1.mga9
+ Revision: 1933102
- new version 1.21.90

* Mon Dec 26 2022 wally <wally> 1.20.5-1.mga9
+ Revision: 1926953
- new version 1.20.5

* Sun Nov 20 2022 wally <wally> 1.20.4-1.mga9
+ Revision: 1909312
- new version 1.20.4

* Sat Jul 23 2022 wally <wally> 1.20.3-1.mga9
+ Revision: 1870394
- new version 1.20.3

* Sun May 08 2022 wally <wally> 1.20.2-1.mga9
+ Revision: 1856818
- new version 1.20.2

* Sun Apr 03 2022 wally <wally> 1.20.1-1.mga9
+ Revision: 1842457
- new version 1.20.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Sep 18 2021 wally <wally> 1.18.5-1.mga9
+ Revision: 1745691
- new version 1.18.5 (mga#29452)

* Mon Apr 05 2021 wally <wally> 1.18.4-1.mga9
+ Revision: 1713706
- new version 1.18.4

* Mon Jan 18 2021 wally <wally> 1.18.3-1.mga8
+ Revision: 1672333
- new version 1.18.3

* Wed Dec 09 2020 wally <wally> 1.18.2-1.mga8
+ Revision: 1655019
- new version 1.18.2

* Sat Nov 21 2020 wally <wally> 1.18.1-1.mga8
+ Revision: 1648251
-new version 1.18.1

* Sun Sep 13 2020 wally <wally> 1.18.0-1.mga8
+ Revision: 1625920
- new version 1.18.0
- switch to meson build

* Tue Feb 18 2020 umeabot <umeabot> 1.16.2-2.mga8
+ Revision: 1539261
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 04 2019 daviddavid <daviddavid> 1.16.2-1.mga8
+ Revision: 1464335
- new version 1.16.2

* Tue Sep 24 2019 daviddavid <daviddavid> 1.16.1-1.mga8
+ Revision: 1445553
- new version 1.16.1

* Fri Apr 26 2019 daviddavid <daviddavid> 1.16.0-1.mga7
+ Revision: 1395425
- new version 1.16.0

* Thu Oct 04 2018 daviddavid <daviddavid> 1.14.4-1.mga7
+ Revision: 1317568
- new version: 1.14.4

* Tue Sep 18 2018 daviddavid <daviddavid> 1.14.3-1.mga7
+ Revision: 1259561
- new version 1.14.3

* Sat Jul 21 2018 daviddavid <daviddavid> 1.14.2-1.mga7
+ Revision: 1244564
- new version: 1.14.2

* Mon May 21 2018 wally <wally> 1.14.1-1.mga7
+ Revision: 1231146
- new version 1.14.1

* Sat Apr 14 2018 wally <wally> 1.14.0-1.mga7
+ Revision: 1218669
- imported package gstreamer1.0-omx

